#
# spec file for package am335x-pm-firmware
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           am335x-pm-firmware
Version:        1.8.6
Release:        1.1
Summary:        Firmware for TI AM335x Power Management
License:        SUSE-Firmware
Group:          Hardware/Other
Url:            http://arago-project.org/git/projects/?p=am33x-cm3.git
Source0:        am335x-pm-firmware.elf
Source1:        License.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The firmware for TI AM335x Power Management.

This package provides the firmware image that should be automatically loaded
as needed by the kernel.

%prep

%build

%install
mkdir -p -m 755 %{buildroot}/lib/firmware
cp %{SOURCE0} %{buildroot}/lib/firmware/
cp %{SOURCE1} %{buildroot}/lib/firmware/


%files
%defattr(-,root,root)
/lib/firmware/am335x-pm-firmware.elf
%doc /lib/firmware/License.txt

%changelog
* Tue Oct 25 2016 guillaume@opensuse.org
- Initial version 1.8.6 (0x186)
